/**
 *  Arduino Code Drawing Robot ESP8266[ESP8266 Code]
 *
 *  Antonios Chatzisavvas [st0933@icte.uowm.gr] & Panagiotis Pourgias [st0949@icte.uowm.gr] 
 *  UOWM ICTE [http://icte.uowm.gr/] & [http://arch.icte.uowm.gr/]
 *  August 2017
 *  
 *
 *  **For upload code in esp8266 must connect GPIO0 pin to grund**
 */


#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <ESP8266WiFiMulti.h>
#include <ESP8266HTTPClient.h>

#define USE_SERIAL Serial

ESP8266WiFiMulti WiFiMulti;

void setup() {

    USE_SERIAL.begin(115200);
    
    USE_SERIAL.println();

    for(uint8_t t = 4; t > 0; t--) {
        USE_SERIAL.printf("[SETUP] WAIT %d...\n", t);
        USE_SERIAL.flush();
        delay(1000);
    }

    WiFiMulti.addAP("WIFI-SSID", "WIFI-PASSWORD");

}

void loop() {
    // wait for WiFi connection
    if((WiFiMulti.run() == WL_CONNECTED)) {

        HTTPClient http;
        
        //http.begin("https://......", "7a 9c f4 db 40 d3 62 5a 6e 21 bc 5c cc 66 c8 3e a1 45 59 38"); //HTTPS
        http.begin("http://zafora.icte.uowm.gr/~ictest00933/Drawing_Robot/com.txt"); //HTTP
        
        
        int httpCode = http.GET();  // Start connection and send HTTP header
        
        if(httpCode > 0) {
            // file found at server
            if(httpCode == HTTP_CODE_OK) {
                String payload = http.getString();
                char temp[50];
                payload.toCharArray(temp, 50);    //Conventer string to char
                USE_SERIAL.print(payload);

                //After read command/byte (1-9) POST a zero number 
                http.begin("http://zafora.icte.uowm.gr/~ictest00933/Drawing_Robot/commands.php?command=0&sub=Submit"); //HTTP
                http.POST("Message from ESP8266");
            }
        } else {
            USE_SERIAL.printf("[HTTP] GET... failed, error: %s\n", http.errorToString(httpCode).c_str());
        }

        http.end();
    }
    delay(5000);    //Debug
    //delay(10000);
}
